$checkbox-circle-content-background: $color-white;
$checkbox-circle-content-background-hover: $dark;
$checkbox-circle-content-border: $border-general-height;

.checkbox-circle {
  width: 100%;
  background: none;
  border: none;
  padding: 0;
  justify-content:  space-around;

  &:focus {
    outline: none;
  }
  &__userTag{
    flex: 0.2;
    justify-content:  space-around;
    align-items: center;

    width: auto !important;
  }
}


.checkbox-circle__label {
  display: block;
  width: 100%;
}

.checkbox-circle__label {
  display: block;
  width: 100%;
}

.checkbox-circle__content {
  align-items: center;
  background: $checkbox-circle-content-background;
  border: $checkbox-circle-content-border;
  display: flex;
  font-size: .85rem;
  padding:  1.5rem 2rem;
  position: relative;
  transition: background .2s;
  height: 53px;
  width: fit-content;
  &--small {
    padding: rem(15px) rem(10px);
  }
  &--bordered {
    border: 1px solid #e5e5e5;
    border-radius: 50%;
  }
}

.checkbox-circle__content:hover {
  cursor: pointer;
}

.checkbox-circle__icon {
  align-items: center;
  display: flex;
  height: 40px;
  transition: transform .2s;
  width: 40px;

  .icon {
    fill: red;
    height: auto;
    transition: transition .2s;
    width: 100%;
  }
}

.checkbox-circle__text {
  margin-left: 6%;
  margin-bottom: 0;
  line-height: 30px;
  height: 30px;
  min-height: 30px;
}

.checkbox-circle__checkbox {
  display: none;

  &:checked + .checkbox-circle__content {
    // background: $checkbox-circle-content-background-hover url('svg/icons/check-blue.svg') 100% center no-repeat;
    background-color: $checkbox-circle-content-background-hover;
    // padding-right: rem(35px);
    // background-size: 40px;
    // color: $color-white;
    // min-width: rem(150px);

    .icon {
      fill: $color-white;
    }

    &-bg-left {
      // background: $checkbox-circle-content-background-hover url('svg/icons/check-blue.svg') 0% center no-repeat;
      background-color: $checkbox-circle-content-background-hover;
      // padding-left: rem(35px);
      // padding-right: rem(10px);
      // background-size: 40px;
    }
  }

  &:checked + .profile-buttons__checkbox-circle {
    background: $dark;
    padding-right: 0;
    color: $primary;
    min-width: rem(150px);
  }

  &:checked + .checkbox-circle__content::before {
    background: transparent image-url('assets/svg/icons/check.svg') center no-repeat;
    background-size: 80%;
  }
}
